Bug 119742 - libgail-gnome RPM does not ship libgail-gnome.pc file
Summary: libgail-gnome RPM does not ship libgail-gnome.pc file
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libgail-gnome   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-01 22:30 UTC by Philip K. Warren
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-07 03:52:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Philip K. Warren 2004-04-01 22:30:53 UTC
Description of problem:
The libgail-gnome RPM does not ship the libgail-gnome.pc file. This
file is required to build certain applications, like at-poke (0.2.1).
In the libgail-gnome spec file, the pkgconfig directory is explicitly
removed and not packaged:

.....
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# remove unpackaged files from the buildroot
rm -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig
.....

Was this done on purpose? Is there a reason why the pkgconfig file is
not shipped?

Version-Release number of selected component (if applicable):
1.0.2-2

How reproducible:
rpm -qf libgail-gnome | grep pkgconfig


Note You need to log in before you can comment on or make changes to this bug.